from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCodeProxy(XInterface, Protocol):
    def run(self) -> int: ...
    def getProductType(self) -> MozillaProductType: ...
    def getProfileName(self) -> str: ...
